Subject: Re: [PATCH v2 00/49] repack: prepare for incremental MIDX-based repacking

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 16 Oct 2025 12:31:43 +0200

On Wed, Oct 15, 2025 at 06:26:57PM -0400, Taylor Blau wrote:
> Note to the maintainer:
> 
>  * This series has been rebased on to 'master' (which is 4b71b29477
>    (The seventeenth batch, 2025-10-10) at the time of writing) to
>    avoid semantic conflicts now that ps/packfile-store has been
>    merged.
> 
> This is a relatively small reroll of my series to clean up the repack
> builtin by introducing a repack.h API, which is the first of ~three
> series that will implement incremental MIDX/bitmap-based repacking.
> 
> A range-diff is included below for convenience, but the changes since
> v1 are generally limited to the following:
> 
>  * Wording tweaks and a couple of minor typo fixes.
> 
>  * Dropping explicit casts out of 'void *'.
> 
>  * Clarification in commit "builtin/repack.c: introduce `struct
>    write_pack_opts`" that additional cleanup follows in the upcoming
>    patches.
> 
>  * Marking parts of the new API as const where possible.
> 
>  * Using 'bool' as the return type and simplifying the implementation
>    of `write_pack_opts_is_local()`.
> 
>  * Avoid shadowing "struct write_pack_opts opts" in `cmd_repack()`.
> 
> Outside of that, the series is unchanged, and I am hopeful that this
> round looks good to reviewers so that we can move on to the more
> interesting parts of incremental MIDX/bitmap repacking ;-).

I didn't quite feel like reviewing all of these patches again, so I only
had a look at the range-diff. The changes in there all look good to me
and address my feedback.

So I feel like all of this is in a reasonably good shape and a
definitive improvement for our code base. Thanks!

Patrick